GUIX(1)

NAME
guix - manual page for guix system (GNU Guix) 0.9.0

SYNOPSIS
guix system [OPTION] ACTION [FILE]

DESCRIPTION
Build the operating system declared in FILE according to ACTION.

The valid values for ACTION are:

reconfigure
    switch to a new operating system configuration

    list-generations list the system generations build build the operating system without installing anything container build a container that shares the host's store vm build a virtual machine image that shares the host's store vm-image build a freestanding virtual machine image disk-image build a disk image, suitable for a USB stick init initialize a root file system to run GNU extension-graph emit the service extension graph in Dot format dmd-graph emit the graph of dmd services in Dot format

-L, --load-path=DIR
    prepend DIR to the package module search path

-K, --keep-failed
    keep build tree of failed builds

-n, --dry-run
    do not build the derivations

--fallback
    fall back to building when the substituter fails

--no-substitutes
    build instead of resorting to pre-built substitutes

--substitute-urls=URLS
    fetch substitute from URLS if they are authorized

--no-build-hook
    do not attempt to offload builds via the build hook

--max-silent-time=SECONDS
    mark the build as failed after SECONDS of silence

--timeout=SECONDS
    mark the build as failed after SECONDS of activity

--verbosity=LEVEL
    use the given verbosity LEVEL

-c, --cores=N
    allow the use of up to N CPU cores for the build

-M, --max-jobs=N
    allow at most N build jobs

-d, --derivation
    return the derivation of the given system

--on-error=STRATEGY
    apply STRATEGY when an error occurs while reading FILE

--image-size=SIZE
    for 'vm-image', produce an image of SIZE

--no-grub
    for 'init', do not install GRUB

--share=SPEC
    for 'vm', share host file system according to SPEC

--expose=SPEC
    for 'vm', expose host file system according to SPEC

--full-boot
    for 'vm', make a full boot sequence

-h, --help
    display this help and exit

-V, --version
    display version information and exit

REPORTING BUGS
Report bugs to: bug-guix@gnu.org.
GNU Guix home page: <http://www.gnu.org/software/guix/>
General help using GNU software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2015 the Guix authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for guix is maintained as a Texinfo manual. If the info and guix programs are properly installed at your site, the command

    info guix

should give you access to the complete manual.